/*

The Life of a Geek
Copyright (C) 2003-2004 Daniel Quintiliani

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

You can e-mail Daniel Quintiliani at danq@danq.lunarpages.com 

8/2/04: Daniel Quintiliani <danq@danq.lunarpages.com>: Updated e-mail address
2/3/04: Daniel Quintiliani <coredump0@mercurylink.net>: Updated e-mail address
and copyright.
7/4/03: Daniel Quintiliani <coredump@coredumpcentral.org>: Updated Hack().
6/13/03: Daniel Quintiliani <coredump@coredumpcentral.org>: Added elapsed time
code.
5/21/03: Daniel Quintiliani <coredump@coredumpcentral.org>: WasteTime() updated.
4/24/03: Daniel Quintiliani <coredump@coredumpcentral.org>: Removed ShowMenu().

display.h - Handles the menus and display.

*/

#ifndef _DISPLAY_H
#define _DISPLAY_H

void ShowStats(Geek &geek, Computer comp, ElTime &elt); // Shows statistics (menu command 0).
void SpeedClass(Geek &geek, Computer& comp, ElTime &elt);  // Takes a speed class (menu command 1).
void Work(Geek &geek, Computer &comp, ElTime &elt); // Works for a month (menu command 2).
void Caff(Geek &geek, ElTime &elt); // Caffeine menu (menu command 3).
int Hack(Geek &geek, Computer &comp, ElTime &elt); 
			// Hack another geek (menu command 4).
			// Returns -1 if computer dead.
void AntiVirus(Geek &geek, Computer &comp, ElTime &elt); // Anti-virus (menu command 5)
void WasteTime(Geek &geek,Computer &comp, ElTime &elt); // Waste time (menu command 6)
void Sleep(Geek &geek, Computer &comp, ElTime &elt); // Sleep (menu command 7)

#endif
