/*

The Life of a Geek
Copyright (C) 2003-2004 Daniel Quintiliani

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

You can e-mail Daniel Quintiliani at danq@danq.lunarpages.com

8/2/04: Daniel Quintiliani <danq@danq.lunarpages.com>: Updated e-mail address
2/3/04: Daniel Quintiliani <coredump0@mercurylink.net>: Updated e-mail address
and copyright.
7/4/03: Daniel Quintiliani <coredump@coredumpcentral.org>: truncf() and roundf()
moved here from func.h.

strlwr.h: Substitutes for functions which may not be in C library

*/

#ifndef _STRLWR_H
#define _STRLWR_H

#ifndef HAVE_STRLWR
char* strlwr(char* sz);
#endif

#if !defined _ISOC9X_SOURCE || !defined _ISOC99_SOURCE
float truncf(float x); // For purposes of this program, will be same as floorf.
float roundf(float x);
#endif

#endif
